DECLARE
   v_workspace_id   NUMBER;
BEGIN
   SELECT workspace_id
     INTO v_workspace_id
     FROM apex_workspaces
    WHERE workspace = 'CCP_OC';

   --
   apex_application_install.set_workspace_id (v_workspace_id);
   apex_application_install.generate_offset;
   apex_application_install.set_application_alias
                                  (   'F'
                                   || apex_application_install.get_application_id
                                  );
END;
/

PROMPT
PROMPT
PROMPT
PROMPT Install application 900

@f900.sql;

PROMPT
PROMPT
PROMPT
PROMPT Create Language Mapping for application 1901 (translated)

BEGIN
   FOR c1 IN (SELECT workspace_id
                FROM apex_workspaces)
   LOOP
      apex_util.set_security_group_id (c1.workspace_id);
      EXIT;
   END LOOP;

   apex_lang.create_language_mapping (p_application_id                  => 900,
                                      p_language                        => 'en',
                                      p_translation_application_id      => 1901
                                     );
   COMMIT;
END;
/

PROMPT
PROMPT
PROMPT
PROMPT Seed Translation for the appliication 900

BEGIN
   FOR c1 IN (SELECT workspace_id
                FROM apex_workspaces)
   LOOP
      apex_util.set_security_group_id (c1.workspace_id);
      EXIT;
   END LOOP;

   apex_lang.seed_translations (p_application_id => 900, p_language => 'en');
   COMMIT;
END;
/

PROMPT
PROMPT
PROMPT
PROMPT Publish Translation for the appliication 900

BEGIN
   FOR c1 IN (SELECT workspace_id
                FROM apex_workspaces)
   LOOP
      apex_util.set_security_group_id (c1.workspace_id);
      EXIT;
   END LOOP;

   apex_lang.publish_application (p_application_id      => 900,
                                  p_language            => 'en');
   COMMIT;
END;
/